\name{createcdfenv}
\alias{createcdfenv}
\alias{CustomCDF.example}
\title{create cdf environment from ascii cdf file}
\description{
  This function generates cdf environment variable from ascii cdf file. So user can use analysis, such as rma, 
  without generating cdf package.
}
\usage{
createcdfenv(object, cdffilename) 
}
\arguments{
  \item{object}{an \code{\link[affy:AffyBatch-class]{AffyBatch}} object}
  \item{cdffilename}{the name of a cdf file}
}
\details{
  
  Note that this function only generate cdf environment variable, Some analyses 
  that also need probe package cannot use this function's result, such as gcrma.
     
}
\value{
None
}
\author{Manhong Dai}
\examples{
if (require(affydata)) {
  #generate a cdf file 'example.cdf'
  data(CustomCDF.example)
  writeLines(CustomCDF.example, con='example.cdf', sep='\r\n')
  #get affybatch object from affy's sample data
  data(Dilution)
  #create cdf environment variable, and do an rma analysis
  createcdfenv(Dilution, 'example.cdf')
  eset <- rma(Dilution)
}
}
\keyword{manip}

